Subject: Re: [Detnet] Benjamin Kaduk's No Objection on draft-ietf-detnet-flow-information-model-13: (with COMMENT)

From: Balázs Varga A <[email-masked]>
Date: Thu, 14 Jan 2021 16:51:39 +0000

Hi Benjamin,
Many thanks for your comments.
Please see my replies below.
Cheers
Bala'zs

Ps: changes can be seen on GitHub:
https://github.com/detnet-wg/draft-ietf-detnet-flow-information-model/commit/7855ea01b1fec25ed1d4f0089bd990dc4b14ff1b

-----Original Message-----
From: Benjamin Kaduk via Datatracker <[email-masked]> 
Sent: Thursday, December 17, 2020 11:28 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; [email-masked]; [email-masked]; Lou Berger <[email-masked]>; [email-masked]
Subject: Benjamin Kaduk's No Objection on draft-ietf-detnet-flow-information-model-13: (with COMMENT)

Benjamin Kaduk has entered the following ballot position for
draft-ietf-detnet-flow-information-model-13: No Objection

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-detnet-flow-information-model/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I agree with Roman about consistently (not) specifying units.

Section 5.6

Please expand "UNI".
<BV> OK. 

Section 5.9.4

Where is PLR precisely defined?
<BV> PLR packet loss ratio is defined as usually as the ratio of total lost IP packet outcomes to total transmitted IP packets in a population of interest (determined by the loss measurement interval in the DetNet case). I think this is fully inline with rfc2680/rfc7680 or definition of other SDOs like ITU Y.1540 IPLR definition or MEF 10.3.

Section 5.9.6, 6.3.6

Over what time interval is the misordering tolerance measured/applied?
<BV> Misordering tolerance is not really time interval specific. It is more a measure on the order of consecutive packets. 
If You intend to have a time interval view, then the bounded delay requirement of the flow can be treated as an interval 
during the misorder happens.

Section 7

I'm not sure what sense the word "applied" (in "applied from the user of the DeNetService") is being used.  The sentences would parse more easily if it was supposed to be "supplied", but I'm not 100% that's the intended meaning.
<BV> OK, I had no concerns on using "applied" here, but I will consult with the native English co-authors. :--))